TFTP orchestration checks applicability of medium to OS late

06/25/2014 11:50 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The TFTP orchestration can fail at runtime when mediums are mismatched to an OS and somehow a host is created with them:

Fetch TFTP boot files for shost.katellolabs.org task failed with the following error: invalid medi

um for RedHat 6.5

/usr/share/foreman/app/models/operatingsystem.rb:239:in `boot_files_uri'

/usr/share/foreman/app/models/operatingsystem.rb:160:in `pxe_files'

/usr/share/foreman/app/models/concerns/orchestration/tftp.rb:39:in `setTFTPBootFiles'

 This should really be caught during validate_tftp so we haven't gone to the effort of creating VMs, DNS and DHCP records before

finding an elementary error.

Related issues:

Related to Katello - Bug #6387: Rendering template fails due to Content Sourc... Duplicate 06/25/2014

Blocks Foreman - Bug #6379: 500 ISE on creating a new host: Operation FAILED:... New 06/25/2014

History

#1 - 06/25/2014 11:50 AM - Dominic Cleal

- Blocks Bug #6379: 500 ISE on creating a new host: Operation FAILED: can't convert nil into String added

#2 - 06/25/2014 12:42 PM - Joseph Magen

- Status changed from New to Assigned

#3 - 07/07/2014 07:43 AM - Stephen Benjamin

- Related to Bug #6387: Rendering template fails due to Content Source not being allowed in SafeMode added

#4 - 06/14/2016 06:55 AM - Dominic Cleal

- Status changed from Assigned to New
